apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../base
  - nginx-temp.yml

patches:
  - target:
      kind: Deployment
      name: argocd-repo-server
      namespace: argocd
    patch: |-
      - op: add
        path: /spec/template/spec/containers/0/env/-
        value:
          name: ARGOCD_APP_SOURCE_PATH_RESTRICTION
          value: repo